// mkctf.cs
// An example objlib script to create a CTF mission's core objects.

exec("objlib.cs");

$x = 0;
$y = 0;
%id = getObjectId("MissionGroup/NavOmega");
if (%id) {
	// if NavOmega exists it defines center of all bases
	$x = getPosition(%id,x);
	$y = getPosition(%id,y);
}

$z = -10000; // -10000 means object z is relative to terrain height
$radius = 300; // distance from each base to origin

// Blue
objsetteam(2);
objsetorigin($x,$y-$radius,$z,0);
%id = objsimshapegroup(0,objgetteambase());
lobj(%id,"NavPoint",ESNavMarker_NavBlue,"",0,0,-1,0);
lobj(%id,"BlueFlag",StaticShape_BlueFlag,"",0,0,0,0);
lobj(%id,"BlueFlagTrigger",SimTrigger_BlueFlag,"",0,0,5,0);
lobj(%id,"HealTrigger",SimTrigger_BlueHeal,"",-100,0,0,0);
nobj(%id,"HealPad",StaticInterior,"hHeallite.dis",-100,0,0,0);
lobj(%id,"HealGen",StaticShape_BlueHealGenLite,"",-69,31,0,45);
lobj(%id,"AmmoTrigger",SimTrigger_BlueAmmo,"", 100,0,0,0);
nobj(%id,"AmmoPad",StaticInterior,"hAmmolite.dis", 100,0,0,0);
lobj(%id,"AmmoGen",StaticShape_BlueAmmoGenLite,"", 69,31,0,135);
%dpgid = objdpgroup();
objdpline(%dpgid,12,25,0,-50,0,0);

// Purple
objsetteam(4);
objsetorigin($x,$y+$radius,$z,180);
%id = objsimshapegroup(0,objgetteambase());
lobj(%id,"NavPoint",ESNavMarker_NavPurple,"",0,0,-1,0);
lobj(%id,"PurpleFlag",StaticShape_PurpleFlag,"",0,0,0,0);
lobj(%id,"PurpleFlagTrigger",SimTrigger_PurpleFlag,"",0,0,5,0);
lobj(%id,"HealTrigger",SimTrigger_PurpleHeal,"",-100,0,0,0);
nobj(%id,"HealPad",StaticInterior,"hHeallite.dis",-100,0,0,0);
lobj(%id,"HealGen",StaticShape_PurpleHealGenLite,"",-69,31,0,45);
lobj(%id,"AmmoTrigger",SimTrigger_PurpleAmmo,"", 100,0,0,0);
nobj(%id,"AmmoPad",StaticInterior,"hAmmolite.dis", 100,0,0,0);
lobj(%id,"AmmoGen","StaticShape_PurpleAmmoGenLite","", 69,31,0,135);
%dpgid = objdpgroup();
objdpline(%dpgid,12,25,0,-50,0,0);
