// mkov.cs
// An example objlib script to create an OV (Overrun) mission's core objects.
// The radar is missing, and you may want to create more targets.
// Add them by hand, see OVStdlib.cs for instructions.

exec("objlib.cs");

objsetteam(4); // Purple
$x = 0;
$y = 0;
%id = getObjectId("MissionGroup/PurpleBase/NavPurple");
if (%id) {
	// if NavPurple exists it defines origin
	$x = getPosition(%id,x);
	$y = getPosition(%id,y);
} else {
	// otherwise, create it
	%id = objsimshapegroup(0,"PurpleBase");
	lobj(%id,"NavPurple",ESNavMarker_NavPurple,"",0,0,-1,0);
}

$z = -10000; // -10000 means object z is relative to terrain height

objsetorigin($x,$y,$z,0);
%id = getObjectId("MissionGroup/PurpleBase");

nobj(%id,"StarterPad",StaticInterior,"hZendark.dis",0,0,0,0);
%tgid = objsimgroup(0,"Triggers");
lobj(%tgid,"Starter",SimTrigger_Starter,"",0,0,0,0);

%pgid = objsimshapegroup(0,"DirPosts");
lobj(%pgid,"nSpawn",StaticShape_nSpawn,"",0, 40,0,0);
lobj(%pgid,"sSpawn",StaticShape_sSpawn,"",0,-40,0,0);
lobj(%pgid,"eSpawn",StaticShape_eSpawn,"", 40,0,0,0);
lobj(%pgid,"wSpawn",StaticShape_wSpawn,"",-40,0,0,0);

lobj(%id,"HealTrigger",SimTrigger_BlueHeal,"",-100,0,0,0);
nobj(%id,"HealPad",StaticInterior,"hHeallite.dis",-100,0,0,0);
lobj(%id,"HealGen",StaticShape_BlueHealGenLite,"",-69,31,0,45);
lobj(%id,"AmmoTrigger",SimTrigger_BlueAmmo,"", 100,0,0,0);
nobj(%id,"AmmoPad",StaticInterior,"hAmmolite.dis", 100,0,0,0);
lobj(%id,"AmmoGen",StaticShape_BlueAmmoGenLite,"", 69,31,0,135);

// sample targets
lobj(%id,"HGen",StaticShape_HGenTarget,"",-80,-80,0,0);
lobj(%id,"CGen",StaticShape_CGenTarget,"", 80,-80,0,0);

%dpgid = objdpgroup();
objdpbox(%dpgid,4,3,25,25,0,-80,0,0);
