// This file contains example objlib calls for cutting and pasting,
// it is NOT meant to be run.
// See objlib.html for documentation.

// GENERAL

objsetverbosity(1);
objsetlogfn("multiplayer/objlog.cs");

objsetteam(1); // Yellow
objsetteam(2); // Blue
objsetteam(3); // Red
objsetteam(4); // Purple

objsetorigin($x,$y,$z,$r);

%id = objsimshapegroup(0,objgetteambase());
%id = objsimgroup(0,"Triggers");

lobj(%id,"NavPoint",ESNavMarker_NavBlue,"",0,0,-1,0);


// DROP POINTS

objsetteam(%t);
%dpgid = objdpgroup();

// Use these to populate a group with drop points
objdp(%dpgid,1,0,0,0,0);
objdpline(%dpgid,12,22,0,0,0,0);
objdpbox(%dpgid,4,3,22,22,0,0,0,0);
objdpcircle(%dpgid,12,60,0,0,0,0);


// FLAGS

// nobj() flags don't have Collisions Disabled checked, use lobj()
lobj(%id,"BlueFlag",StaticShape_BlueFlag,"",0,0,0,0);
lobj(%id,"PurpleFlag",StaticShape_PurpleFlag,"",0,0,0,0);

// trigger should be at flag z + 5
lobj(%id,"BlueFlagTrigger",SimTrigger_BlueFlag,"",0,0,5,0);
lobj(%id,"PurpleFlagTrigger",SimTrigger_PurpleFlag,"",0,0,5,0);

%color = objteamcolor();
lobj(%id,%color@"Flag","StaticShape_"@%color@"Flag","",0,0,0,0);
lobj(%id,%color@"FlagTrigger","SimTrigger_"@%color@"Flag","",0,0,5,0);


// BUILDINGS

// "Cinematic Shapes/Beam"
nobj(%id,"TitanBeam",StaticShape,"cin_beam.DTS",0,0,0,0);

// "Titan Shapes/Titan Beam"
nobj(%id,"TitanBeam",StaticShape,"hTitanBEAM.DTS",0,0,0,0);

// "Titan Shapes/Titan Dias Irae"
nobj(%id,"TitanBeam",StaticShape,"hTitanDiasIrae.DTS",0,0,0,0);

// "Generic Shapes/Flagbuilding 1(ZED)"
nobj(%id,"Flagbuilding1",StaticInterior,"hflagbuild.dis",0,0,0,0);

nobj(%id,"Castlet",StaticInterior,"hbigcastlet.dis",0,0,0,0);
nobj(%id,"WallHuge",StaticInterior,"hwallhuge.dis",0,0,0,0);


// PADS

// Europa "Shapes/Heal (ZED)" - gray pylons (ATR2)
nobj(%id,"HealPad",StaticInterior,"hheale.dis",0,0,0,0);
// Europa "Shapes/Ammo (ZED)" - gray pylons (ATR2)
nobj(%id,"AmmoPad",StaticInterior,"hammoe.dis",0,0,0,0);

// "Ice Shapes/Heal Pad (ZED)" - white pylons (ATR2)
nobj(%id,"HealPad",StaticInterior,"hheal2a.dis",0,0,0,0);
// "Ice Shapes/Reload Pad (ZED)" - white pylons (ATR2)
nobj(%id,"AmmoPad",StaticInterior,"hammo2a.dis",0,0,0,0);

// "Mars Interior Shapes/Heal Pad" - brown pylons (ATR2)
nobj(%id,"HealPad",StaticInterior,"hheal2m.dis",0,0,0,0);
// "Mars Interior Shapes/Ammo Pad" - brown pylons (ATR2)
nobj(%id,"AmmoPad",StaticInterior,"hammo2m.dis",0,0,0,0);

// "Mars Interior Shapes/Big Healing" - small flat pad
nobj(%id,"HealPad",StaticInterior,"hBigHealing.dis",0,0,0,0);
// "Mars Interior Shapes/Big Ammo" - small flat pad
nobj(%id,"AmmoPad",StaticInterior,"hBigAmmo.dis",0,0,0,0);

// "Temperate Shapes/Kong Heal (ZED)" - 4 posts + roof
nobj(%id,"HealPad",StaticInterior,"hkongheal.dis",0,0,0,0);
// "Temperate Shapes/Kong Reload (ZED)" - 4 posts + roof
nobj(%id,"AmmoPad",StaticInterior,"hkongammo.dis",0,0,0,0);

// "Titan Shapes/Health Pad" - gray pylon (ATR2)
nobj(%id,"HealPad",StaticInterior,"hhealt.dis",0,0,0,0);
// "Titan Shapes/Ammo Pad" - gray pylon (ATR2)
nobj(%id,"AmmoPad",StaticInterior,"hammot.dis",0,0,0,0);

// "Venus Interior Shapes/Heal (ZED)" - black/gray striped pylons
nobj(%id,"HealPad",StaticInterior,"hhealv.dis",0,0,0,0);
// "Venus Interior Shapes/Ammo (ZED)" - black/yellow striped pylons
nobj(%id,"AmmoPad",StaticInterior,"hammov.dis",0,0,0,0);

// "Heal/Ammo Shapes/Heal Lite (ZED)" - big concave pad
nobj(%id,"HealPadLite",StaticInterior,"hHeallite.dis",0,0,0,0);
// "Heal/Ammo Shapes/Ammo Lite (ZED)" - big concave pad
nobj(%id,"AmmoPad",StaticInterior,"hAmmolite.dis",0,0,0,0);

// "Heal/Ammo Shapes/Heal Dark (ZED)" - big concave pad
nobj(%id,"HealPad",StaticInterior,"hHealdark.dis",0,0,0,0);
// "Heal/Ammo Shapes/Ammo Dark (ZED)" - big concave pad
nobj(%id,"AmmoPad",StaticInterior,"hAmmodark.dis",0,0,0,0);

// "Heal/Ammo Shapes/Heal Dark (ZED)" - big concave pad
nobj(%id,"HealPad",StaticInterior,"hHealvenus.dis",0,0,0,0);
// "Heal/Ammo Shapes/Ammo Dark (ZED)" - big concave pad
nobj(%id,"AmmoPad",StaticInterior,"hAmmovenus.dis",0,0,0,0);

// "Heal/Ammo Shapes/ZenAll Lite (ZED)" - big concave pad
nobj(%id,"ZenPad",StaticInterior,"hZenlite.dis",0,0,0,0);
// "Heal/Ammo Shapes/ZenAll Dark (ZED)" - big concave pad
nobj(%id,"ZenPad",StaticInterior,"hZendark.dis",0,0,0,0);

// GENERATORS
// Note: use lobj() and the pre-created generator files if possible
// because they have the proper Short Name, Team, Script Class, and
// Sustainable Damage already set.  If you use nobj() you'll have to
// set these properties by hand to make the generators work properly.

lobj(%id,"HealGen","StaticShape_"@%color@"HealGenLite","",0,0,0,0);
lobj(%id,"AmmoGen","StaticShape_"@%color@"AmmoGenLite","",0,0,0,0);
lobj(%id,"ZenGen","StaticShape_"@%color@"ZenGenLite","",0,0,0,0);

// "Heal/Ammo Shapes/Heal Lite"
nobj(%id,"HealGen",StaticShape,"xheal_lite.dts",0,0,0,0);
// "Heal/Ammo Shapes/Ammo Lite"
nobj(%id,"AmmoGen",StaticShape,"xammo_lite.dts",0,0,0,0);

// "Heal/Ammo Shapes/Heal Dark"
nobj(%id,"HealGen",StaticShape,"xheal_dark.dts",0,0,0,0);
// "Heal/Ammo Shapes/Ammo Dark"
nobj(%id,"AmmoGen",StaticShape,"xammo_dark.dts",0,0,0,0);

// "Heal/Ammo Shapes/Heal Venus"
nobj(%id,"HealGen",StaticShape,"xheal_venus.dts",0,0,0,0);
// "Heal/Ammo Shapes/Ammo Venus"
nobj(%id,"AmmoGen",StaticShape,"xammo_venus.dts",0,0,0,0);

// "Heal/Ammo Shapes/ZenAll Lite"
nobj(%id,"ZenGen",StaticShape,"xzen_lite.dts",0,0,0,0);
// "Heal/Ammo Shapes/ZenAll Dark"
nobj(%id,"ZenGen",StaticShape,"xzen_dark.dts",0,0,0,0);

// "Earth Shapes/Troop Generator"
nobj(%id,"TroopGen",StaticShape,"xTroopgenerator.dts",0,0,0,0);


// TURRETS
// Note: turrets have several properties you may want to set by hand

// "Cybrid Laser Turret"
nobj(%id,Turret_CY_LS,Turret,1,0,0,0,0);
// "Cybrid Missle Turret"
nobj(%id,Turret_CY_MS,Turret,2,0,0,0,0);
// "Mars Big Cannon"
nobj(%id,Turret_H_CN,Turret,3,0,0,0,0);
// "Moon Cannon"
nobj(%id,Turret_M_CN,Turret,25,0,0,0,0);
// "Trooper Cannon"
nobj(%id,Turret_T_CN,Turret,26,0,0,0,0);
// "Desert Cannon"
nobj(%id,Turret_D_CN,Turret,31,0,0,0,0);
// "Human Desert Laser Short"
nobj(%id,Turret_H_D_LS,Turret,27,0,0,0,0);
// "Human Desert Laser Tall"
nobj(%id,Turret_H_D_LS,Turret,28,0,0,0,0);
// "Human Earth Laser Short"
nobj(%id,Turret_H_E_LS,Turret,4,0,0,0,0);
// "Human Earth Laser Tall"
nobj(%id,Turret_H_E_LS,Turret,5,0,0,0,0);
// "Human Mars Laser Short"
nobj(%id,Turret_H_M_LS,Turret,6,0,0,0,0);
// "Human Mars Laser Tall"
nobj(%id,Turret_H_M_LS,Turret,7,0,0,0,0);
// "Human Moon Laser Short"
nobj(%id,Turret_H_M_LS,Turret,8,0,0,0,0);
// "Human Moon Laser Tall"
nobj(%id,Turret_H_M_LS,Turret,9,0,0,0,0);
// "Human Titan Laser Short"
nobj(%id,Turret_H_T_LS,Turret,10,0,0,0,0);
// "Human Titan Laser Tall"
nobj(%id,Turret_H_T_LS,Turret,11,0,0,0,0);
// "Human Venus Laser Short"
nobj(%id,Turret_H_V_LS,Turret,12,0,0,0,0);
// "Human Venus Laser Tall"
nobj(%id,Turret_H_V_LS,Turret,13,0,0,0,0);

// "Human Desert Missle Short"
nobj(%id,Turret_H_D_MS,Turret,29,0,0,0,0);
// "Human Desert Missle Tall"
nobj(%id,Turret_H_D_MS,Turret,30,0,0,0,0);
// "Human Earth Missle Short"
nobj(%id,Turret_H_E_MS,Turret,14,0,0,0,0);
// "Human Earth Missle Tall"
nobj(%id,Turret_H_E_MS,Turret,15,0,0,0,0);
// "Human Mars Missle Short"
nobj(%id,Turret_H_M_MS,Turret,16,0,0,0,0);
// "Human Mars Missle Tall"
nobj(%id,Turret_H_M_MS,Turret,17,0,0,0,0);
// "Human Moon Missle Short"
nobj(%id,Turret_H_M_MS,Turret,18,0,0,0,0);
// "Human Moon Missle Tall"
nobj(%id,Turret_H_M_MS,Turret,19,0,0,0,0);
// "Human Titan Missle Short"
nobj(%id,Turret_H_T_MS,Turret,20,0,0,0,0);
// "Human Titan Missle Tall"
nobj(%id,Turret_H_T_MS,Turret,21,0,0,0,0);
// "Human Venus Missle Short"
nobj(%id,Turret_H_V_MS,Turret,22,0,0,0,0);
// "Human Venus Missle Tall"
nobj(%id,Turret_H_V_MS,Turret,23,0,0,0,0);

// "Human Desert Laser Short Rearm"
nobj(%id,Turret_H_D_LS,Turret,32,0,0,0,0);
// "Human Titan Laser Short Rearm"
nobj(%id,Turret_H_D_LS,Turret,34,0,0,0,0);
// "Trooper Cannon Rearm"
nobj(%id,Turret_T_CN,Turret,35,0,0,0,0);
// "Cybrid Laser Turret Rearm"
nobj(%id,Turret_CY_LS,Turret,33,0,0,0,0);
